Drop transitional and removed packages from Recommends

Bug #645339 reported by Benjamin Drung
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
adblock-plus (Ubuntu)
Fix Released
Undecided
Unassigned
all-in-one-sidebar (Ubuntu)
Fix Released
Undecided
Unassigned
bindwood (Ubuntu)
Fix Released
Undecided
Unassigned
downloadstatusbar (Ubuntu)
Fix Released
Undecided
Unassigned
firebug (Ubuntu)
Fix Released
Undecided
Unassigned
flashblock (Ubuntu)
Fix Released
Undecided
Unassigned
flashgot (Ubuntu)
Fix Released
Undecided
Unassigned
gears (Ubuntu)
Won't Fix
Undecided
Unassigned
greasemonkey (Ubuntu)
Fix Released
Undecided
Unassigned
mozgest (Ubuntu)
Fix Released
Undecided
Unassigned
mozilla-devscripts (Ubuntu)
Fix Released
Undecided
Unassigned
notify-extension (Ubuntu)
Fix Released
Undecided
Unassigned
prism (Ubuntu)
Fix Released
Undecided
Unassigned
pwdhash (Ubuntu)
Fix Released
Undecided
Unassigned
ubufox (Ubuntu)
Fix Released
Undecided
Unassigned
ubuntu-it-menu (Ubuntu)
Fix Released
Undecided
Unassigned
weave (Ubuntu)
Fix Released
Undecided
Unassigned
webdeveloper (Ubuntu)
Fix Released
Undecided
Unassigned
webfav (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: mozilla-devscripts

http://people.canonical.com/~ubuntu-archive/NBS/ shows that many Mozilla extensions recommends abrowser-3.5, firefox-3.0, firefox-3.5, xulrunner-1.9. I have removed them from the list in mozilla-devscripts 0.24. To get the packages from the NBS list, mozilla-devscripts 0.24 needs to be synced:

mozilla-devscripts (0.24) unstable; urgency=low

  * Drop packages that are transitional or removed in Ubuntu maverick.
    - update src/xul-app-data.csv.Ubuntu
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <email address hidden> Wed, 22 Sep 2010 17:40:21 +0200

After having the package synced, these extensions needs to be rebuilt:

adblock-plus
all-in-one-sidebar
bindwood
downloadstatusbar
firebug
flashblock
flashgot
gears
greasemonkey
mozgest
notify-extension
prism
pwdhash
ubufox
ubuntu-it-menu
weave
webdeveloper
webfav

Revision history for this message
Colin Watson (cjwatson) wrote :

This is OK, although as I said on IRC it isn't required for NBS since those are basically false positives (just makes it easier).

Changed in mozilla-devscripts (Ubuntu):
status: New → Confirmed
Revision history for this message
Benjamin Drung (bdrung) wrote :

Packages that aren't rebuild since mozilla-devscripts 0.21 will pick up these changes:
* If the extension has a configuration file, a configuration file in /etc/xul-ext will be created to give the administrator the possibility to override the default configuration.
* The extension will be installed into /usr/share/xul-ext/<package> instead of /usr/share/xul-ext-<package>

Revision history for this message
Colin Watson (cjwatson) wrote :

What's the effect of the second change? Are these new extension paths only honoured by new versions of the applications? (If there's a web page detailing this, I'd appreciate a pointer.)

Revision history for this message
Benjamin Drung (bdrung) wrote :

Both path are not honoured by the applications. mozilla-devscripts will create symlinks for all supported applications. More details: http://wiki.debian.org/Mozilla/ExtensionsPolicy

Revision history for this message
Jamie Strandboge (jdstrand) wrote :

2010-09-22 21:46:07 INFO - <mozilla-devscripts_0.24.tar.gz: downloading from http://ftp.debian.org/debian/>
[Updating] mozilla-devscripts (0.23 [Ubuntu] < 0.24 [Debian])
 * Trying to add mozilla-devscripts...
2010-09-22 21:46:07 INFO - <mozilla-devscripts_0.24.dsc: downloading from http://ftp.debian.org/debian/>
I: mozilla-devscripts [main] -> mozilla-devscripts_0.23 [main].

Changed in mozilla-devscripts (Ubuntu):
status: Confirmed → Fix Released
Benjamin Drung (bdrung)
Changed in ubufox (Ubuntu):
status: New → Fix Released
Revision history for this message
Colin Watson (cjwatson) wrote :

In that case I'm OK with these rebuilds.

Revision history for this message
Colin Watson (cjwatson) wrote :

Unsubscribing ubuntu-archive so that our queue stops being full of the rebuild package tasks.

Revision history for this message
Scott Kitterman (kitterman) wrote :

Also unsubscribing ubuntu-release for the same reasons. Resubscribe is any additional release team review is required.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package all-in-one-sidebar - 0.7.11-1build2

---------------
all-in-one-sidebar (0.7.11-1build2) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:08:17 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package adblock-plus - 1.2.2-3build1

---------------
adblock-plus (1.2.2-3build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sat, 25 Sep 2010 23:49:44 -0500

Changed in adblock-plus (Ubuntu):
status: New → Fix Released
Changed in all-in-one-sidebar (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firebug - 1.5.4-2build1

---------------
firebug (1.5.4-2build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:22:31 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package downloadstatusbar - 0.9.6.7-1build1

---------------
downloadstatusbar (0.9.6.7-1build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:29:36 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bindwood - 1.0.4-0ubuntu2

---------------
bindwood (1.0.4-0ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:14:24 -0500

Changed in bindwood (Ubuntu):
status: New → Fix Released
Changed in downloadstatusbar (Ubuntu):
status: New → Fix Released
Changed in firebug (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashblock - 1.5.13-1build1

---------------
flashblock (1.5.13-1build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:26:17 -0500

Changed in flashblock (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozgest - 3.0.3+dfsg-2build1

---------------
mozgest (3.0.3+dfsg-2build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 03:26:18 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package greasemonkey - 0.8.20100408.6-2build1

---------------
greasemonkey (0.8.20100408.6-2build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 03:21:42 -0500

Changed in greasemonkey (Ubuntu):
status: New → Fix Released
Changed in mozgest (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-extension - 1.5.4-4build1

---------------
notify-extension (1.5.4-4build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 03:31:07 -0500

Changed in notify-extension (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashgot - 1.2+dfsg-2ubuntu1

---------------
flashgot (1.2+dfsg-2ubuntu1) maverick; urgency=low

  * fix LP: #636014 - Fix synopsis for flashgot to include Thunderbird,
    Abrowser, and Seamonkey; Thanks to Matthew Paul Thomas for the suggestion
  * fix LP: #645339 - Drop transitional and removed packages from Recommends
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 00:39:13 -0500

Changed in flashgot (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-it-menu - 1.0.8.1-0ubuntu3

---------------
ubuntu-it-menu (1.0.8.1-0ubuntu3) maverick; urgency=low

  * Drop transitional and removed packages from Recommends (LP: #645339);
    Picked up from mozilla-devscripts 0.24
  * Bump Standards-Version to 3.9.1, no changes needed
    - update debian/control
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 20:14:47 -0500

Changed in ubuntu-it-menu (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package weave - 1.4.3-1ubuntu2

---------------
weave (1.4.3-1ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 19:57:30 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webdeveloper - 1.1.8-5build1

---------------
webdeveloper (1.1.8-5build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 20:41:43 -0500

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pwdhash - 1.7-8build1

---------------
pwdhash (1.7-8build1) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Sun, 26 Sep 2010 19:46:39 -0500

Changed in pwdhash (Ubuntu):
status: New → Fix Released
Changed in weave (Ubuntu):
status: New → Fix Released
Changed in webdeveloper (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webfav - 1.17-0ubuntu4

---------------
webfav (1.17-0ubuntu4) maverick; urgency=low

  * Drop transitional and removed packages from Recommends (LP: #645339);
    Picked up from mozilla-devscripts 0.24
  * Bump Standards-Version to 3.9.1, no changes needed
    - update debian/control
  * Convert to 3.0 (quilt)
    - add debian/source/format
 -- Micah Gersten <email address hidden> Mon, 27 Sep 2010 05:03:11 -0500

Changed in webfav (Ubuntu):
status: New → Fix Released
Revision history for this message
Micah Gersten (micahg) wrote :

See bug 650950 about gears being removed from the archive

Changed in gears (Ubuntu):
status: New → Won't Fix
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package prism - 1.0b3+svn20100210r62050-0ubuntu2

---------------
prism (1.0b3+svn20100210r62050-0ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop
    transitional and removed packages from Recommends (LP: #645339)
 -- Micah Gersten <email address hidden> Tue, 05 Oct 2010 09:21:58 -0500

Changed in prism (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers